AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- XR

## Index

### Constructors

- constructor

### Methods

- addPluggable
- configure
- enableAudio
- enterVR
- exitVR
- getSceneController
- isMuted
- isSceneLoaded
- isVRCapable
- isVRPresentationActive
- loadScene
- onSceneEvent
- setMuted
- start

## Constructors

### constructor

- new XR(options: XROptions): XR

- - Defined in xr/src/XR.ts:27

  Initialize XR with AWS configurations

  #### Parameters

  - ##### options: XROptions

    Configuration object for XR

  #### Returns XR

## Methods

### addPluggable

- addPluggable(pluggable: XRProvider): Promise<any>

- - Defined in xr/src/XR.ts:71

  add plugin into XR category

  #### Parameters

  - ##### pluggable: XRProvider

    an instance of the plugin

  #### Returns Promise<any>

### configure

- configure(options: XROptions): any

- - Defined in xr/src/XR.ts:50

  Configure XR part with configurations

  #### Parameters

  - ##### options: XROptions

  #### Returns any

  - The current configuration

### enableAudio

- enableAudio(sceneName: string, provider?: string): any

- - Defined in xr/src/XR.ts:145

  #### Parameters

  - ##### sceneName: string

  - ##### Default value provider: string = this._defaultProvider

  #### Returns any

### enterVR

- enterVR(sceneName: string, provider?: string): any

- - Defined in xr/src/XR.ts:115

  #### Parameters

  - ##### sceneName: string

  - ##### Default value provider: string = this._defaultProvider

  #### Returns any

### exitVR

- exitVR(sceneName: string, provider?: string): any

- - Defined in xr/src/XR.ts:120

  #### Parameters

  - ##### sceneName: string

  - ##### Default value provider: string = this._defaultProvider

  #### Returns any

### getSceneController

- getSceneController(sceneName: string, provider?: string): any

- - Defined in xr/src/XR.ts:95

  #### Parameters

  - ##### sceneName: string

  - ##### Default value provider: string = this._defaultProvider

  #### Returns any

### isMuted

- isMuted(sceneName: string, provider?: string): any

- - Defined in xr/src/XR.ts:125

  #### Parameters

  - ##### sceneName: string

  - ##### Default value provider: string = this._defaultProvider

  #### Returns any

### isSceneLoaded

- isSceneLoaded(sceneName: string, provider?: string): any

- - Defined in xr/src/XR.ts:90

  #### Parameters

  - ##### sceneName: string

  - ##### Default value provider: string = this._defaultProvider

  #### Returns any

### isVRCapable

- isVRCapable(sceneName: string, provider?: string): any

- - Defined in xr/src/XR.ts:100

  #### Parameters

  - ##### sceneName: string

  - ##### Default value provider: string = this._defaultProvider

  #### Returns any

### isVRPresentationActive

- isVRPresentationActive(sceneName: string, provider?: string): any

- - Defined in xr/src/XR.ts:105

  #### Parameters

  - ##### sceneName: string

  - ##### Default value provider: string = this._defaultProvider

  #### Returns any

### loadScene

- loadScene(sceneName: string, domElementId: string, sceneOptions?: SceneOptions, provider?: string): Promise<any>

- - Defined in xr/src/XR.ts:80

  #### Parameters

  - ##### sceneName: string

  - ##### domElementId: string

  - ##### Default value sceneOptions: SceneOptions = {}

  - ##### Default value provider: string = this._defaultProvider

  #### Returns Promise<any>

### onSceneEvent

- onSceneEvent(sceneName: string, eventName: string, eventHandler: Function, provider?: string): any

- - Defined in xr/src/XR.ts:135

  #### Parameters

  - ##### sceneName: string

  - ##### eventName: string

  - ##### eventHandler: Function

  - ##### Default value provider: string = this._defaultProvider

  #### Returns any

### setMuted

- setMuted(sceneName: string, muted: boolean, provider?: string): any

- - Defined in xr/src/XR.ts:130

  #### Parameters

  - ##### sceneName: string

  - ##### muted: boolean

  - ##### Default value provider: string = this._defaultProvider

  #### Returns any

### start

- start(sceneName: string, provider?: string): any

- - Defined in xr/src/XR.ts:110

  #### Parameters

  - ##### sceneName: string

  - ##### Default value provider: string = this._defaultProvider

  #### Returns any